Get card payin order details
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/card-payins/{oid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/card-payins/{oid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/card-payins/{oid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card": {
"cardBin": "424242",
"cardPan": "5123456789123456",
"expiration": "2025-12-31T23:59:59Z"
},
"createdAt": "2025-01-15T10:30:00Z",
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"displayType": "Card Pay In",
"failedAt": "2025-01-15T10:30:05Z",
"fee": {
"amount": 100,
"breakdown": {
"merchantFee": 40,
"systemFee": 60
},
"currency": "EUR"
},
"fx": {
"pair": "CURRENCY/CURRENCY",
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00Z"
},
"id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"payer": {
"address": "123 Main Street",
"birthdate": "1990-05-15",
"city": "Madrid",
"country": "ES",
"documentNumber": "12345678A",
"documentType": "NATIONAL_ID",
"email": "john.doe@example.com",
"name": "John",
"phone": "+34612345678",
"postalCode": "28001",
"surname": "Doe",
"province": "Madrid"
},
"recipient": {
"accountId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e"
},
"reference": "Card payment for order #12345",
"settledAt": "2025-01-15T10:30:05Z",
"state": "SETTLED",
"type": "CARD_PAY_IN",
"updatedAt": "2025-01-15T10:30:05Z"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Card Payin
Get card payin order details
Get details of a specific card payin order
GET
/
api
/
v1
/
account
/
card-payins
/
{oid}
Get card payin order details
Authorizations
API Key for accessing management endpoints
Path Parameters
Card Payin Order ID
Response
OK
Show child attributes
Show child attributes
Example:
"2025-01-15T10:30:00Z"
Show child attributes
Show child attributes
Example:
"Card Pay In"
Example:
"2025-01-15T10:30:05Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"Card payment for order #12345"
Example:
"2025-01-15T10:30:05Z"
Example:
"SETTLED"
Example:
"CARD_PAY_IN"
Example:
"2025-01-15T10:30:05Z"
⌘I